### Virtual Method

# Pango.FontFace.list_sizes

#### Declaration [src]

    void
    list_sizes (
      PangoFontFace* face,
      int** sizes,
      int* n_sizes
    )

#### Description [src]

List the available sizes for a font.

This is only applicable to bitmap fonts. For scalable fonts, stores `NULL` at the location pointed to by `sizes` and 0 at the location pointed to by `n_sizes`. The sizes returned are in Pango units and are sorted in ascending order.

#### Parameters

`sizes` | An array of `int*`
        location to store a pointer to an array of int. This array
        should be freed with `g_free()`.
| Direction: out
| The length of the array is in the `n_sizes` argument
| Ownership of the data is transferred to the callee
`n_sizes` | `int*`
| location to store the number of elements in `sizes`
| Direction: out
| Ownership of the data is transferred to the callee